import('lang.Object')

---@class InventorySyncScheduler : Object
InventorySyncScheduler = Object:extendAs("model.InventorySyncScheduler")
InventorySyncScheduler.__scheduledFor = {}

---@public
---@param player_index number
function InventorySyncScheduler:scheduleFor(player_index)
    InventorySyncScheduler.__scheduledFor[player_index] = true
end

function InventorySyncScheduler:run()
    for player_index, _ in pairs(InventorySyncScheduler.__scheduledFor) do
        if game.players[player_index] then
            Interface:getInstanceFor(player_index):handle(InventoryChanged:new())
        end
    end
    InventorySyncScheduler.__scheduledFor = {}
end
