import('model.Component')
import('model.toolbar.content.sections.section.Section')
import('model.toolbar.content.sections.section.header.SectionHeader')

---@class SectionHeaderButton : Component
SectionHeaderButton = Component:extendAs("model.toolbar.content.sections.section.header.Button")

function SectionHeaderButton:new(parent, root)
    return SectionHeaderButton:super(Component:new(parent, root))
end

---@protected
---@return SectionHeader
function SectionHeaderButton:header()
    return self:ancestor(SectionHeader)
end

---@protected
---@return Section
function SectionHeaderButton:section()
    return self:ancestor(Section)
end
